!Switch
[bulkFriction]: !ConstantMap
  map:
    bulkFriction: 0.6
[plastCo]: !EvalModel
    parameters: [lithostaticStress, gamma]
    model: !Switch
      [lithostaticStress, gamma]: !Include lithostaticStress_gamma.yaml
    components: !FunctionMap
      map:
        plastCo:  return 1*pow(10,6) + 1.00*abs(lithostaticStress*(1.0-gamma));
[rho, mu, lambda]: !LayeredModel
    map: !AffineMap
      matrix:
        z: [0.0, 0.0, 1.0]
      translation:
        z: 0
    interpolation: linear
    parameters: [rho, mu, lambda]
    nodes:
        20000.0:        [2600, 2.662400e+10, 3.421600e+10]# (5800.0 3200.0)
        000.0:          [2600, 2.662400e+10, 3.421600e+10]# (5800.0 3200.0)
        -15000.0:       [2900, 4.410900e+10, 4.587800e+10]# (6800.0 3900.0)
        -24400.0:       [3380, 6.814114e+10, 8.602742e+10]# (8110.0 4490.0)
        -71000.0:       [3380, 6.753544e+10, 8.559715e+10]# (8080.0 4470.0)
        -80000.0:       [3370, 6.733563e+10, 8.534390e+10]# (8080.0 4470.0)
        -80000.01:      [3370, 6.733563e+10, 8.534390e+10]# (8080.0 4470.0)
        -171000.0:      [3360, 6.623770e+10, 8.364115e+10]# (8020.0 4440.0)
        -220000.0:      [3360, 6.564230e+10, 8.321813e+10]# (7990.0 4420.0)
        -220000.01:     [3440, 7.342474e+10, 1.052117e+11]# (8560.0 4620.0)
        -271000.0:      [3470, 7.600133e+10, 1.082321e+11]# (8660.0 4680.0)
        -371000.0:      [3530, 7.964562e+10, 1.171872e+11]# (8850.0 4750.0)
        -400000.0:      [3540, 8.054527e+10, 1.199433e+11]# (8910.0 4770.0)
        -400000.01:     [3720, 9.041423e+10, 1.292592e+11]# (9130.0 4930.0)
        -471000.0:      [3810, 1.006587e+11, 1.425351e+11]# (9500.0 5140.0)
        -571000.0:      [3940, 1.161705e+11, 1.624474e+11]# (10010.0 5430.0)
        -5e10:          [3980, 1.212722e+11, 1.682935e+11]# (10160.0 5520.0)
[s_xx, s_yy, s_zz, s_xy, s_yz, s_xz]: !Include Sumatra_initial_stress_slab2_1d.yaml
